export enum MenuType {
  ExecCommand,
  Reboot,
  Shutdown,
  SubMenu,
}

export interface MenuCommand {
  exe: string,
  args?: string[],
  wrap?: boolean,
}

export interface MenuConfig {
  display: string,
  type: MenuType,
  command?: MenuCommand,
  subMenu?: MenuConfig[],
}

export interface MenuPrinter {
  getSelection(): Promise<MenuConfig>;
}
